loci.formats.in

## Class IM3Reader.ContainerRecord

- java.lang.Object
- - loci.formats.in.IM3Reader.IM3Record
  - - loci.formats.in.IM3Reader.ContainerRecord

- Enclosing class:
    IM3Reader

      protected static class IM3Reader.ContainerRecord
      extends IM3Reader.IM3Record

  Author:
    Lee Kamentsky A Container3Record is a nesting container for other records. In the IM3 format, records are often grouped under a ContainerRecord with a blank tagname.

- - ### Field Summary

    - ### Fields inherited from class loci.formats.in.IM3Reader.IM3Record

      `length, name, offset, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerRecord(java.lang.String name, int type, long offset, int length)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) java.util.List<IM3Reader.IM3Record>` | `parseChunks(loci.common.IRandomAccess is)` Parse and return the sub-records for the record container
    `void` | `writeSummary(loci.common.IRandomAccess is, java.lang.String indentation)` Write a summary of the contents of the record

    - ### Methods inherited from class loci.formats.in.IM3Reader.IM3Record

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerRecord

          ContainerRecord(java.lang.String name,
                          int type,
                          long offset,
                          int length)

  - ### Method Detail

    - #### parseChunks

          java.util.List<IM3Reader.IM3Record> parseChunks(loci.common.IRandomAccess is)
                                                   throws java.io.IOException

      Parse and return the sub-records for the record container
      Parameters:
        `is` -
      Returns:
        a list of sub-records
      Throws:
        `java.io.IOException`

    - #### writeSummary

          public void writeSummary(loci.common.IRandomAccess is,
                                   java.lang.String indentation)
                            throws java.io.IOException

      Description copied from class: `IM3Reader.IM3Record`
      Write a summary of the contents of the record
      Overrides:
        `writeSummary` in class `IM3Reader.IM3Record`
      Throws:
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment